curl --request GET \
--url https://api.aimtell.com/prod/log/notifications/{id} \
--header 'X-Authorization-Api-Key: <api-key>'import requests
url = "https://api.aimtell.com/prod/log/notifications/{id}"
headers = {"X-Authorization-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Authorization-Api-Key': '<api-key>'}};
fetch('https://api.aimtell.com/prod/log/notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"uid": "NA",
"idSite": "2459",
"subscriber_uid": "f8446485-d5bb-97d0-94c1-de3d0dbd099f",
"title": "🚀READ: NASA Names Joel Montalbano I",
"body": "❗Click here to read more... ❗",
"link": "http://www.nasa.gov/press-release/nasa-names-joel-montalbano-international-space-station-program-manager",
"status": 22,
"campaignId": 2289,
"type": 4,
"createdAt": "2020-06-30 15:00",
"sent_date": "2020-06-30 15:00"
}
]{
"result": "error",
"message": "Invalid token.",
"error_code": 71831
}Get Notification Logs
Fetches the most recent notification logs for a site.
Note: this is a sample of notification logs; this will not return a comprehensive log of all notifications to all subscribers. Only recent notifications are retained, and on high volume sites that window can be short.
Authorizations
Path Parameters
Site ID
Query Parameters
Optionally filter by a specific subscriber. This returns a short recent history for that subscriber, and some fields are not available on these results.
Maximum number of results to return per page.
Number of results to skip for pagination (offset). Paging past the retained notifications returns an empty result.
Response
200
"NA"
"2459"
"f8446485-d5bb-97d0-94c1-de3d0dbd099f"
"🚀READ: NASA Names Joel Montalbano I"
"❗Click here to read more... ❗"
"http://www.nasa.gov/press-release/nasa-names-joel-montalbano-international-space-station-program-manager"
22
2289
4
"2020-06-30 15:00"
"2020-06-30 15:00"

